@import "../../_mixins.scss";

.profile {
  .profile__header {
    h4 {
      font-weight: 600;
    }
  }
  .profile__Body {
    border-radius: 2px;
    background-color: #ffffff;
    .profile-left {
      display: flex;
      flex-direction: column;
    }
    .profile-pic {
      display: flex;
      padding: 20px;

      img {
        width: 150px;
        height: 150px;
        border: 1px solid #ccc;
      }

      .upload-button {
        width: 50px;
        margin-right: 5px;
        margin-left: auto;
        height: 38px;
        margin-top: auto;
        min-width: unset;
        .icon-upload {
          width: 20px;
          height: 20px;
          border: unset;
        }
      }
    }
  }

  .profile__details {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    .profile__details-header {
      border-bottom: 1px solid #eef2f5;
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      padding: 10px;
      width: 100%;

      h5 {
        font-weight: 600;
      }

      .left {
        padding: 10px;
        opacity: 0.8;
        color: #333333;
        font-weight: 500;
      }
      .right {
        margin-left: auto;
        padding: 10px;
        opacity: 0.8;
        color: #333333;
        font-weight: 500;
      }
    }

    .profile__details-body {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;

      .email-subject {
        padding: 10px 15px;
      }

      .selection {
        .field__label {
          padding: 5px;
        }
      }
      .customer-email {
        padding: 5px;
        width: 100%;
      }
    }
  }

  .profile__footer {
    display: flex;
    flex-direction: row;
    margin: 0 0 0 auto;
    justify-content: flex-end;
    z-index: 1;

    button {
      margin: 20px 15px;
    }
  }
}

.markdown-profile {
  width: 100%;
  display: flex;
  .react-quill .react-quill-main .ql-editor {
    min-height: 142px;
  }
}
.upload-img-button-profile {
  width: 30px;
  height: 30px;
  margin: 13px 0 0 285px;
  position: absolute;
  min-width: unset !important;
  border: none !important;
  z-index: 999;
  padding: 4px !important;

  .icon-upload {
    width: 16px;
    height: 16px;
    border: unset;
    margin-top: -4px;
    filter: brightness(0.5);
  }
  &:hover,
  &:active,
  &:focus {
    border: 1px solid #95a5a6 !important;
  }
}
